# EncryptUtil | oops-framework
Documentation for oops-framework

# Class EncryptUtil

Crypto加密

#### Hierarchy

- EncryptUtil

- Defined in assets/core/utils/EncryptUtil.ts:8

#####
Index

### Constructors

constructor

### Methods

aesDecrypt
aesEncrypt

## Constructors

### constructor

- new EncryptUtil(): EncryptUtil

- #### Returns EncryptUtil

## Methods

### `Static` aesDecrypt

- aesDecrypt(str: string, key: string, iv: string): string

- AES 解密

  #### Parameters

  - ##### str: string

    解密字符串

  - ##### key: string

    aes加密的key

  - ##### iv: string

    aes加密的iv

  #### Returns string

  - Defined in assets/core/utils/EncryptUtil.ts:33

### `Static` aesEncrypt

- aesEncrypt(msg: string, key: string, iv: string): string

- AES 加密

  #### Parameters

  - ##### msg: string

    加密信息

  - ##### key: string

    aes加密的key

  - ##### iv: string

    aes加密的iv

  #### Returns string

  - Defined in assets/core/utils/EncryptUtil.ts:15

Generated using TypeDoc